C--- Program MTFIT
C This routine transfers FITS files from magtape to disk.
C
C USAGE:  MTFIT  Mag_tape fitsfile
C
C---
      INTEGER   MXBUF
      PARAMETER (MXBUF=28800)
      INTEGER   LENACT, LSTREC
      INTEGER   UOPEN, UREAD
C
      CHARACTER CBUF*(MXBUF)
      CHARACTER CPROM*72, CNAM*72, CMAG*64
      INTEGER   I, ICHAN, IER, IOPEN, IREC, ISTAT, KP
      INTEGER   LNAM, LMAG
C---
  100 CALL GTBUF('Mag tape name:',IER)
      IF(IER.LT.0) GOTO 900
      CALL GTCHAR(CMAG,LMAG)
      IF(LMAG.LE.0) GOTO 100
C---
      ICHAN = UOPEN(CMAG, 0)
      IF(ICHAN.LT.0) THEN
         WRITE(*,*) 'Unable to open tape file.  Is tape mounted',
     &       ' foreign?'
         GOTO 900
      END IF
C
C Read tape a record at a time.
C
      IREC = 0
  130 CONTINUE
         ISTAT = UREAD(ICHAN, CBUF, MXBUF)
         IF ( ISTAT.LT.0 ) THEN
C Oops.
            WRITE(*,*) 'Unable to read tape label.',ISTAT
            GOTO 100
         ELSE IF ( ISTAT.EQ.0 ) THEN
C EOF mark.
            CLOSE(UNIT=2)
            WRITE ( *,* ) IREC,' records written to last file.'
            IF ( IREC.EQ.0 ) GOTO 900
            IREC = 0
         ELSE
            IF ( (ISTAT/2880)*2880.NE.ISTAT ) THEN
               WRITE(*,*) 'Bad record size=',ISTAT
            END IF
C Read some valid data.
            IF ( IREC.EQ.0 ) THEN
               KP = INDEX(CBUF, 'FILENAME')
               IF ( KP.EQ.0 ) THEN
                  KP = INDEX(CBUF, 'NAME')
               END IF
               LNAM = -1
               IF ( KP.GT.0 ) THEN
                  DO I =KP+1,KP+60
                     IF ( CBUF(I:I).EQ.'''' ) THEN
                        IF ( LNAM.LT.0 ) THEN
                           LNAM = 0
                        ELSE
                           GOTO 190
                        END IF
                     ELSE
                        IF ( LNAM.GE.0 ) THEN
                           LNAM = LNAM + 1
                           CNAM(LNAM:LNAM) = CBUF(I:I)
                        END IF
                     END IF
                  END DO
 190              CONTINUE
               END IF
               IF ( LNAM.LE.0 ) THEN
                  CNAM = 'file'
                  LNAM = 4
               END IF
               IF ( CNAM(1:2).EQ.'./' ) THEN
                  CNAM = CNAM(3:)
                  LNAM = LNAM - 2
               END IF
               CNAM(LNAM+1:) = ' '
               CALL XTEND(CNAM,'FIT')
               LNAM = LENACT(CNAM)
               WRITE (*,*) 'New file=',CNAM(:LNAM)
               CALL OPENWR(2,CNAM,'NEW','D',' ',2880,0,IER)
            END IF
            DO I=1,ISTAT/2880
               IREC = IREC+1
               WRITE ( 2,REC=IREC ) CBUF(2880*(I-1)+1:2880*I)
            END DO
         END IF
      GOTO 130
C---
  900 CONTINUE
      CALL EDICOM('OFF',3)
      END
