      FUNCTION GETVIG(Xpos, Ypos)
      REAL      GETVIG
      INTEGER   Xpos, Ypos
C---
C LEXTRCT function to return the energy-independent vignetting factor
C at the position Xpos, Ypos.  This uses the a flat field map, that
C the user must have previously read.
C---
C Xpos    I    X position in detector coordinates
C Ypos    I    Y position in detector coordinates
C---
C 1997-Apr-15 - Remove LE specific code [AFT]
C---
      INCLUDE 'mapdef.inc'
C
      REAL      rxmap, rymap, TDAVG
C
C If a flat field was read in but not applied, then apply correction now.
      IF ( Iflat.LT.0 ) THEN
         CALL POS_DT_RM(Xpos,Ypos,rxmap,rymap)
         GETVIG = TDAVG(Resp,Mxrow,rxmap,rymap)
      ELSE
         GETVIG = 1.0
      END IF
C
      END
