      SUBROUTINE LIMSB(Iblim)
      INTEGER   Iblim
C Entry LIMQB
      INTEGER   Iblimo
C Entry LIMSS/LIMQS
      INTEGER   Islim, Islo1, Ishi1, Iscomp1
C---
C This routine is used to define the limits on event data.
C---
C 1992-May-20 - AFT
C---
      INTEGER   Islo, Ishi, Iscomp
      LOGICAL   Qdobl, Qdosl, Qdotl
      COMMON /DOLIMS/ Islo, Ishi, Iscomp, Qdobl, Qdosl, Qdotl
C
C Set bound limit.  Note, bounds are set in the REGION object and the
C funtion INBOU determines if photon is in bounds or not.  Thus this
C controls whether the test is made or not.
      IF ( Iblim.EQ.0 ) THEN
         Qdobl = .FALSE.
      ELSE
         Qdobl = .TRUE.
      END IF
      RETURN
C*********
C Set Histogram limit
      ENTRY LIMSS(Islim,Islo1,Ishi1,Iscomp1)
      IF ( Islim.EQ.0 ) THEN
         Qdosl = .FALSE.
      ELSE
         Qdosl = .TRUE.
         IF ( Islim.GT.0 ) THEN
            islo = Islo1
            ishi = Ishi1
         END IF
      END IF
      IF ( Iscomp1.GT.0 ) THEN
         iscomp=Iscomp1
      END IF
      RETURN
C*********
C Query Bound limit
      ENTRY LIMQB(Iblimo)
      IF ( Qdobl ) THEN
         Iblimo = 1
      ELSE
         Iblimo = 0
      END IF
      RETURN
C*********
C Query Spectral limit
      ENTRY LIMQS(Islim,Islo1,Ishi1,Iscomp1)
      IF ( Qdosl ) THEN
         Islim = 1
         Islo1 = islo
         Ishi1 = ishi
         Iscomp1=iscomp
      ELSE
         Islim = 0
         Islo1 = 0
         Ishi1 = 0
         Iscomp1=iscomp
      END IF
      RETURN
C
      END
