      SUBROUTINE MKHIST(Rmap, Mxrow, I1, I2, J1, J2,
     &            Smin, Smax, Histo, Mxhist)
      INTEGER   Mxrow, I1, I2, J1, J2, Mxhist
      REAL      Rmap(Mxrow,*), Smin, Smax, Histo(Mxhist)
C---
C Construct the image histogram.
C---
      REAL      NO
      PARAMETER (NO=-1.2E-34)
      INTEGER   INBOU
C
      REAL      slop, xpos, ypos
      INTEGER   i, j, num
C
      DO i = 1, Mxhist
         Histo(i) = 0.
      END DO
C
      slop = (Mxhist-1.)/(Smax-Smin)
      DO j = J1, J2
         DO i = I1, I2
            IF ( Rmap(i,j).NE.NO ) THEN
               CALL POS_MAP_DET(i,j,xpos,ypos)
               IF ( INBOU(xpos,ypos).NE.0 ) THEN
                  num = INT(1. + slop*(Rmap(i,j) - Smin))
                  num = MIN(MAX(1,num), Mxhist)
                  Histo(num) = Histo(num) + 1.
               END IF
            END IF
         END DO
      END DO
C
      RETURN
      END
