C*PGLDIT -- load image transfer function
C%void cpgsitf(float *rlev, int nlevs);
C+
      SUBROUTINE PGLDIT (rlev, nlevs)
      REAL     RLEV(*)
      INTEGER  NLEVS
C
C Set the Image Transfer Function for subsequent images drawn by
C PGIMAG, PGGRAY, or PGWEDG. The Image Transfer Function is used
C to map array values into the available range of color indices
C specified with routine PGSCIR or (for PGGRAY on some devices)
C into dot density.
C
C Argument:
C  ITF    (input)  : type of transfer function:
C                      ITF = 0 : linear
C                      ITF = 1 : logarithmic
C                      ITF = 2 : square-root
C--
C 1995-Jan-13 - new routine [AFT].
C-----------------------------------------------------------------------
      INCLUDE 'pgplot.inc'
      INTEGER   I
      LOGICAL PGNOTO
C
      IF (PGNOTO('PGIMAG')) RETURN
C
      DO 110 I=1, nlevs-1
         IF ( rlev(i+1).LT.rlev(i) ) THEN
            CALL GRWARN('PGLDIT: table must be strictly increasing.')
            RETURN
         END IF
  110 CONTINUE
C
      CALL GRLDIT (0, rlev, nlevs)
      PGITF(PGID) = -1

      END
