      SUBROUTINE STATS(Rmap, Mxrow, Nrow, Ncol)
      INTEGER   Mxrow, Nrow, Ncol
      REAL      Rmap(*)
C---
C Routine to output statistics on contents of current region.
C---
C Rmap    I
C Mxrow   I
C Nrow    I
C Ncol    I
C---
C 1997-Feb-02 - Array is now passed in [AFT]
C---
      INTEGER   lenact
C
      CHARACTER cbuf*80
      REAL      err, rcnto, rcnti, rexp, rpixo, rpixi, tmp
      INTEGER   lbuf
C
      CALL TOTCNT(Rmap,Mxrow,Nrow,Ncol,rcnti,rpixi,rcnto,rpixo)
C
      IF ( rpixi.GT.0. .OR. rpixo.GT.0. ) THEN
         IF ( rpixi.GT.0. ) THEN
            WRITE(cbuf,111) 'Inner  ', rpixi, rcnti, rcnti/rpixi
 111        FORMAT(1X,A,':',F10.0,' dpixels, ',1P,G12.5,' counts, ',
     &            1P,G12.5,' cts/dpix.')
            lbuf = LENACT(cbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( rpixo.GT.0. ) THEN
            WRITE(cbuf, 111) 'Outer  ', rpixo, rcnto, rcnto/rpixo
            lbuf = LENACT(cbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( rpixo.GT.0. .AND. rpixi.GT.0. ) THEN
C Error is base on the maximum of the number of counts or the expected number.
            rexp = rpixi*rcnto/rpixo
            err=SQRT(MAX(rcnti,rexp)+rcnto*(rpixi/rpixo)**2)
            tmp = (rcnti/rpixi) - (rcnto/rpixo)
            WRITE(cbuf,131) tmp*rpixi, err, tmp
 131        FORMAT(' Inner excess=',1P,G12.5,'+/-',G12.5,' counts, ',
     :         G12.5,' cts/dpix')
            lbuf = LENACT(cbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
      ELSE
         CALL PTBUF('**  No pixels in region **', -1)
      END IF
C
      RETURN
      END
