      SUBROUTINE WFWCS(luno, icx, icy, Ier)
      INTEGER   luno, icx, icy, Ier
C---
C Writes WCS keywords to FITS file.
C---
C Luno    I    LUN for open FITS file
C Icx     I    The column number for the X coordinate
C Icy     I    The column number for the Y coordinate
C Ier       O  <>0 if failed to write one of the keywords
C---
C 2004-Apr-20 [AFT]
C---
      INCLUDE 'posdef.inc'
C
      CHARACTER ckey*16
      INTEGER   istat
C
      Ier = 0
      istat = 0
      CALL FTKEYN('TCTYP',icx,ckey,istat)
      CALL FTPKYS(luno, ckey, 'RA---TAN', ' ',istat)
      ckey(1:5) = 'TCRVL'
      CALL FTPKYD(luno, ckey, Dxref, 13, ' ',istat)
      ckey(1:5) = 'TCRPX'
      CALL FTPKYD(luno,ckey, Dxpix0, 13, ' ',istat)
      IF ( Imat.NE.0 ) THEN
         ckey(1:5) = 'CD1_1'
         CALL FTPKYD(luno,ckey, dcd11, 13, ' ',istat)
         ckey(1:5) = 'CD1_2'
         CALL FTPKYD(luno,ckey, dcd12, 13, ' ',istat)
      ELSE
         ckey(1:5) = 'TCDLT'
         CALL FTPKYD(luno,ckey, Dxdel, 13, ' ',istat)
         ckey(1:5) = 'TCROT'
         CALL FTPKYD(luno,ckey, Drota, 13, ' ',istat)
      END IF
C
      CALL FTKEYN('TCTYP',icy,ckey,istat)
      CALL FTPKYS(luno, ckey, 'DEC--TAN', ' ',istat)
      ckey(1:5) = 'TCRVL'
      CALL FTPKYD(luno, ckey, Dyref, 13, ' ',istat)
      ckey(1:5) = 'TCRPX'
      CALL FTPKYD(luno,ckey, Dypix0, 13, ' ',istat)
      IF ( Imat.NE.0 ) THEN
         ckey(1:5) = 'CD2_1'
         CALL FTPKYD(luno,ckey, dcd21, 13, ' ',istat)
         ckey(1:5) = 'CD2_2'
         CALL FTPKYD(luno,ckey, dcd22, 13, ' ',istat)
      ELSE
         ckey(1:5) = 'TCDLT'
         CALL FTPKYD(luno,ckey, Dydel, 13, ' ',istat)
      END IF
      IF ( istat.NE.0 ) THEN
         CALL PTBUF(' WFWCS:  Failed to write all WCS parameters.', -1)
         Ier = 1
      END IF
      RETURN
      END
