      SUBROUTINE XCNT(Lun, Ievent)
      INTEGER   Lun, Ievent
C---
C LEXTRCT to create a single channel XSPEC PHA file that contains
C the total counts in the defined region.  This is useful for
C detectors that have no energy resolution.
C---
C Lun     I    Lun of open FITS file (needed to copy header keywords)
C Ievent  I    >0 if file contains events data.
C---
C 1997-11-25 - Only does counts in a box - [AFT]
C---
      INCLUDE 'mapdef.inc'
      INCLUDE 'scrat.inc'
C
      CHARACTER crsp*72
      CHARACTER cpre*32, chtype*32
      REAL      cnt(2)
      REAL      scalb, scals, teff
      INTEGER   ier, lpre
C
C Find counts and area within defined bounds
C
      CALL TOTCNT(Rmap,Mxrow,Nrow,Ncol,cnt(1),scals,cnt(2),scalb)
C
C Ask for PHA filename.
C
      CALL GTBUF('Prefix for PHA file name:',ier)
      IF ( ier.NE.0 ) GOTO 999
      cpre = ' '
      CALL GTCHAR(cpre, lpre)
      IF ( lpre.EQ.0 ) GOTO 999
C
      IF ( Tdata.LE.0.0 ) THEN
         CALl PTBUF('Setting integration time to 1 sec.',-1)
         teff=1.0
      ELSE
         teff=Tdata
      END IF
C
      crsp = 'none'
      chtype = 'PHA'
C
      CALL WRPHAN()
      CALL WRPHA(Lun,Ievent,cpre,lpre,chtype,cnt,1,1,
     &   scals,scalb,crsp,teff,Rscrat)
C
 999  CONTINUE
C
      RETURN
      END
