      SUBROUTINE AFNEW(Luno, Istat)
      INTEGER   Luno, Istat
C---
C Routine to open a new FITS file.
C---
C Luno    I    The LUN to be used.
C Istat     O  =0 if it all worked, <>0 is a FITSIO error number.
C---
C 2002-Feb-22 - [AFT]
C---
      INTEGER   LENACT
C
      CHARACTER cout*256
      CHARACTER ctmp*64
      INTEGER   ier, ios, lout, ltmp
C---
   11 FORMAT(A)
C---
      CALL GTCHAR(cout,lout)
      IF ( lout.LE.0 ) THEN
         Istat = -1
      ELSE
         CALL XTEND(cout,'fits')
  130    CONTINUE
         Istat = 0
         CALL FTINIT(luno, cout, 1, Istat)
         IF ( Istat.EQ.105 ) THEN
            ctmp = 'AFNEW--'//cout(1:LENACT(cout))//' exists, reuse it?'
            CALL EDICOM('SAV', 3)
            CALL PROMPT(ctmp, 0)
            READ(*,11,ERR=900,END=900) ctmp
            CALL EDICOM('RES', 3)
            IF( ctmp(1:1).EQ.'Y' .OR. ctmp(1:1).EQ.'y') THEN
               OPEN(UNIT=luno, FILE=cout, STATUS='UNKNOWN', IOSTAT=ios)
               IF ( ios.NE.0 ) THEN
                  WRITE(*,*) 'Unable to erase file.'
                  RETURN
               END IF
               CLOSE(UNIT=luno, STATUS='DELETE')
               GOTO 130
            END IF
C User doesn't want to overwrite file, so don't :-).
  900       CONTINUE
            RETURN
         END IF
C Create Primary header
         Istat=0
         CALL FTPDEF(luno, 16, 0, 0, 0, 1, Istat)
         CALL FTPHPR(luno, .TRUE., 8, 0, 0, 0, 1, .TRUE., Istat)
      END IF
C---
      RETURN
      END
