      SUBROUTINE obslab(Dmjdo, Cbuf, Lbuf)
      DOUBLE PRECISION Dmjdo
      CHARACTER Cbuf*(*)
      INTEGER   Lbuf
C--
C Convert the MJD of the observation (Dmjdo) to a string
C '(sec of yyyy-mm-dd)'
C---
C Dmjdo   I    The MJD
C Cbuf      O  The output string
C Lbuf      O  Active length of Cbuf
C---
      DOUBLE PRECISION dfrac
      INTEGER   idy, imon, iyr, ier
C---
      Lbuf = 0
      Cbuf(Lbuf+1:Lbuf+9) = ' (sec of '
      Lbuf = Lbuf + 9
      CALL sla_DJCL(Dmjdo, iyr, imon, idy, dfrac, ier)
      CALL CRAMI(iyr, Cbuf, Lbuf)
      Lbuf = Lbuf + 1
      Cbuf(Lbuf:Lbuf) = '-'
      CALL CRAMI(imon, Cbuf, Lbuf)
      Lbuf = Lbuf + 1
      Cbuf(Lbuf:Lbuf) = '-'
      CALL CRAMI(idy, Cbuf, Lbuf)
      Lbuf = Lbuf + 1
      Cbuf(Lbuf:Lbuf) = ')'
C
      RETURN
      END
