      SUBROUTINE PLTSE(RMAP, MXROW, MXCOL, I1, NX, J1, NY, Z1, Z2)
      INTEGER   MXROW, MXCOL, I1, NX, J1, NY
      REAL      RMAP(MXROW,MXCOL), Z1, Z2
C---
C [SOUTHEAST VIEW]
C Program to produce a perspective drawing of a single valued
C function defined in cartesian coordinates, in such a way as
C to exibit arcs on the surface parallel to the coordinate
C axes.  For greater clarity in presentaion, the entire figure
C may be sheared, horizontally which will give the illusion of
C a sidewise perspective, and vertically to give the illusion of
C depth and to expose the remoter details which would otherwise
C be hidden.  Shearing is preferable to rotation whenever it is
C desired to maintain horizontal lines horizontal.
C---
C RMAP    I    Array of function values
C MXROW   I    Number of rows in RMAP
C MXCOL   I    Number of columns in RMAP
C I1:NX   I    Range of row indices to use in plot
C J1:NY   I    Range of column indices to use in plot
C Z1,Z2   I    Range of function values
C---
C 1974-May-17 - Instituto Nacional de Energia Nuclear
C---
      EXTERNAL PLTCA
C
      INTEGER   N0
      COMMON /VIS/N0
C---
      N0=0
      CALL VISDS(RMAP,MXROW,MXCOL,I1,NX,J1,NY,
     &           Z1,Z2,0.2,0.2,-1,PLTCA)
      CALL PLOT(0.,0.,999)
      RETURN
      END
