      SUBROUTINE PLTSS(RMAP, MXROW, MXCOL, I1, NX, J1, NY, Z1, Z2)
      INTEGER   MXROW, MXCOL, I1, NX, J1, NY
      REAL      RMAP(MXROW,MXCOL), Z1, Z2
C---
C [SOUTHERN STEREOPAIR]
C Program to produce two perspective drawings of a function
C defined in a rectangle array.  The drawings are offset
C in a manner suitable for their use as a stereopair.
C---
C Z1,Z2  Range of function values
C NX     Actual length of columns
C MX     Maximum length of columns
C NY     Actual length of rows
C---
C 1974-May-17 - Instituto Nacional de Energia Nuclear
C---
      EXTERNAL  PLTLH,PLTRH
C
      INTEGER   N0
      COMMON /VIS/N0
C---
      N0=0
      CALL VISDS(RMAP,MXROW,MXCOL,I1,NX,J1,NY,
     &           Z1,Z2,0.1,0.25,-1,PLTLH)
      N0=0
      CALL VISDS(RMAP,MXROW,MXCOL,I1,NX,J1,NY,
     &           Z1,Z2,0.1,0.25,+1,PLTRH)
      CALL PLOT(0.,0.,999)
      RETURN
      END
