      SUBROUTINE VISES(RMAP, MXROW, MXCOL, Z1, IX, Z2, X1, X2, NX,
     :         E1, E2, NE, L, M)
      INTEGER   MXROW, MXCOL, IX, NX, NE, L, M
      REAL      RMAP(MXROW,MXCOL), Z1, Z2, X1, X2, E1, E2
C---
C [ELLIPTICAL SEQUENCE]
C---
C (Z1,Z2)  Range of RMAP
C (X1,X2)  Range of XI
C (E1,E2)  Range of ETA
C NX       Number of XI values
C NE       Number of ETA values
C L=1      Western view,  L=-1   Eastern view
C M=1      Southern view, M=-1   Northern view
C---
C 1974-Mar-12 - Instituto Nacional de Energia Nuclear
C---
      EXTERNAL  PLTCA
C
      REAL      DE, DX, E, EL, EM, X, ZS
      INTEGER   I, I0, J, J0, K, MM, MK, N
C
C Dimension of U,V should be 2*MIN(NX,NY)+1
      REAL      U, V
      COMMON /VIW/U(1026),V(1026)
C---
      MM=1
      MK=1026
      N=L*M
      EL=FLOAT(L)
      EM=FLOAT(M)
      DX=(X2-X1)/FLOAT(NX-1)
      DE=(E2-E1)/FLOAT(NE-1)
      ZS=0.58/(Z2-Z1)
      I0=(NE+1-M*(NE-3))/2
      J0=((NX+1)-L*(NX-1))/2
   10 K=((MK+1)*(1-N))/2
      I=MAX0(MIN0(I0,NE+1),0)
      J=J0
      E=E1+DE*FLOAT(I-1)
      X=X1+DX*FLOAT(J-1)
   20 IF((I.LT.1).OR.(I.GT.NE)) GOTO 22
      K=MAX0(MIN0(K+N,MK),1)
      U(K)=0.166*(COSH(X)*COS(E)+3.0)
      V(K)=ZS*(RMAP(J,I+IX)-Z1)+0.2+0.075*SINH(X)*SIN(E)
   22 I=I-M
      E=E-EM*DE
      IF((I.LT.1).OR.(I.GT.NE)) GOTO 30
      K=MAX0(MIN0(K+N,MK),1)
      U(K)=0.166*(COSH(X)*COS(E)+3.0)
      V(K)=ZS*(RMAP(J,I+IX)-Z1)+0.2+.075*SINH(X)*SIN(E)
      J=J+L
      X=X+EL*DX
      IF((J.GE.1).AND.(J.LE.NX)) GOTO 20
   30 IF(N.GT.0) CALL VISHO(U,V,K,MM,PLTCA)
      IF(N.LT.0) CALL VISHO(U(K),V(K),MK-K+1,MM,PLTCA)
      MM=-MM
      I0=I0+M
      IF((I0.GE.0).AND.(I0.LE.NE+1)) GOTO 10
      J0=J0+L
      IF((J0.GE.1).AND.(J0.LE.NX)) GOTO 10
      RETURN
      END
