      REAL FUNCTION VISLI(Z,X,Y,I)
      REAL      X(1), Y(1)
      REAL      Z
      INTEGER   I
C---
C [LINEAR INTERPOLATION]
C Perform backward linear interpolations.
C---
C Z   Point at which interpolation is made
C X   Array in which Z is interpolated
C Y   Array from which to take the interpolated value
C I   An index for which X(I-1).LE.Z.LE.X(I)
C---
C 1974-May-05 - Instituto Nacional de Energia Nuclear
C---
      REAL      X1, Y1, X2, Y2
C---
      X1=X(I-1)
      Y1=Y(I-1)
      IF(Z.NE.X1) GOTO 50
      VISLI=Y1
      RETURN
C---
   50 X2=X(I)
      Y2=Y(I)
      IF(Z.NE.X2) GOTO 100
      VISLI=Y2
      RETURN
C---
  100 VISLI=Y1+(Y2-Y1)*((Z-X1)/(X2-X1))
      RETURN
      END
