      SUBROUTINE TTWRT(Cline, Lline)
      INTEGER   Lline
      CHARACTER Cline*(*)
C---
C This routine writes a single line to the current output device.
C If line editing is activated, then the line editing IO routines
C are used.
C---
C Cline   I    The line to be written.
C Lline   I    The number of valid characters in Cline.  Lline=-1
C              -causes LENACT to determine the number of valid characters.
C---
C 1990-Jun-19 - [AFT]
C---
      INCLUDE   'edicmn.inc'
      INTEGER   ILF
      PARAMETER (ILF   = 10)
      INTEGER   ICR
      PARAMETER (ICR   = 13)
      INTEGER   LENACT
C
      INTEGER   itmp
C
      itmp=Lline
      IF ( itmp.LT.0 ) itmp=LENACT(Cline)
      IF ( ICEDIT.EQ.0 ) THEN
         WRITE(*,111) Cline(:itmp)
  111    FORMAT(A)
      ELSE
         IF ( IFTYPE.LT.0 ) CALL PUTSTR(CHAR(ICR)//CHAR(ILF), 2)
C Process carriage control.  '0' means skip a line.
         IF ( Cline(1:1).EQ.'0' ) THEN
            CALL PUTSTR(CHAR(ICR)//CHAR(ILF), 2)
         END IF
C Avoid calling putstr with a length of -1 (which on certain systems tries
C to dump all of memory).
         IF ( itmp.GT.0 ) CALL PUTSTR(Cline(2:), itmp-1)
         CALL PUTSTR(CHAR(ICR), 1)
         IF ( IFTYPE.GT.0 ) CALL PUTSTR(CHAR(ILF),1)
         CALL FLUSH(6)
      END IF
      RETURN
      END
