      SUBROUTINE WR4MAP(R4map, Mxfb, Nx, Ny, Chead, Nhead, Ier)
      INTEGER   Mxfb, Nx, Ny, Nhead, Ier
      CHARACTER Chead(*)*80
      REAL      R4map(*)
C---
C Writes out a REAL*4 FITS image.
C---
C R4map   I    Real map.
C Mxfb    I    First physical dimension of I2map.
C Nx      I    Number of rows in I2map in actual use.
C Ny      I    Number of columns in I2map in actual use.
C Chead   I    Array of 80 byte FITS header lines.
C Nhead   I    Number of valid lines in Chead.
C Ier       O  Error flag.
C---
      CALL WRMAP(4, R4map, Mxfb, Nx, Ny, Chead, Nhead, Ier)
      RETURN
      END
