C doff print the value of doff.
C---
C 2007-02-22 - [AFT]
C---
      REAL      NO
      PARAMETER (NO=-1.2E-34)
      DOUBLE PRECISION sla_DTT
C
      CHARACTER cnam*256, ctmp*64, cvalue*64
      DOUBLE PRECISION days, dmjd0, doff, dsec
      INTEGER   naxes(99)
      INTEGER   ibits, iblk
      INTEGER   ier, iext, igcnt, ipcnt, is1, is2, istat
      INTEGER   kp, lnam, ltmp, lun, naxis
      LOGICAL   qsimp, qxtend
C---
   11 FORMAT(A)
C---
      lun = 3
  100 CONTINUE
      CALL GTBUF('Input FITS file:', ier)
      IF ( ier.LT.0 ) GOTO 900
      CALL GTCHAR(cnam, lnam)
      IF ( lnam.LE.0 ) GOTO 900
C
      istat = 0
      CALL FTOPEN(Lun, cnam(:lnam), 0, iblk, istat)
      IF ( istat.NE.0 ) THEN
         WRITE(*,*) 'Unable to open ',cnam(:lnam),', istat=',istat
         GOTO 100
      END IF
C
C Read keywords from primary header
C
      istat = 0
      CALL FTGHPR(lun,99,qsimp,ibits,naxis,naxes,ipcnt,igcnt,qxtend,
     &            istat)
      IF ( naxis.NE.0 .OR. .NOT.qxtend ) THEN
         WRITE(*,*) 'Not a binary table FITS file.', naxis,qxtend
         GOTO 100
      END IF
C Go to 2nd HDU.
      istat = 0
      CALL FTMAHD(lun, 2, iext, istat)
C Get Observation start day
      CALL MJDOBS(lun, days, dsec, is1)
      Days = INT(Days)
C Get the reference time
      CALL MJDREF(lun, dmjd0, is2)
      IF ( is1.EQ.0 .AND. is2.EQ.0 ) THEN
         doff = (days-dmjd0)*86400.
         istat = 0
         cvalue = ' '
         CALL FTGKYS(Lun,'TIMESYS',cvalue,ctmp,istat)
         CALL UPC(cvalue)
         IF ( cvalue(1:2).NE.'TT' .AND. cvalue(1:3).NE.'TDB') THEN
C If the column name is TIME and TIMESYS is neither TT nor TDB, then we
C are likely dealing with UTC and need to correct for leap seconds.
            doff = doff+sla_DTT(Days)-sla_DTT(dmjd0)
         END IF
         ltmp=0
         CALL CRAMDF(doff, 15, 0, ctmp, ltmp)
         kp=0
         CALL ALFSKS(ctmp, ltmp, kp)
         WRITE(*,11) ctmp(kp+1:ltmp)
      END IF
C---
  900 CONTINUE
      istat = 0
      CALL FTCLOS(lun, istat)
      CALL EDICOM('OFF',3)
      END
