      REAL FUNCTION ALGA(X)
      REAL      X
C---
      REAL CNUM(8), CDEN(8)
      REAL      p, sden, snum, xe, xi
      INTEGER   k, m, mm1
C
      DATA CNUM /4.120843185847770,85.68982062831317,243.175243524421,
     * -261.7218583856145,-922.2613728801522,-517.6383498023218,
     * -77.41064071332953,-2.208843997216182/, CDEN
     * /1.,45.64677187585908,377.8372484823942,951.323597679706,
     * 846.0755362020782,262.3083470269460,24.43519662506312,
     * .4097792921092615/
C---
      XI = AINT(X)
      IF (X-XI.GT..5) XI = XI + 1.
      M = IFIX(XI) - 1
      XE = X
      IF (M.EQ.-1) XE = X + 1.
      IF (M.GT.0) XE = X - FLOAT(M)
      SNUM = CNUM(1)
      SDEN = CDEN(1)
      DO 10 K=2,8
        SNUM = XE*SNUM + CNUM(K)
        SDEN = XE*SDEN + CDEN(K)
   10 CONTINUE
      ALGA = (XE-1.)*SNUM/SDEN
      IF (M.GT.-1) GO TO 20
      ALGA = ALGA - ALOG(X)
      RETURN
   20 IF (M.EQ.0) RETURN
      P = XE
      IF (M.EQ.1) GO TO 40
      MM1 = M - 1
C
C THE NEXT STATEMENT IS DESIGNED TO AVOID POSSIBLE OVERFLOW IN THE
C COMPUTATION OF P. THE CONDITION IN THE IF-CLAUSE EXPRESSES THE
C INEQUALITY 1*3*5* ... *(2*M+1)/(2**M).GE.Q, WHERE Q IS THE LARGEST
C MACHINE-REPRESENTABLE NUMBER.
C
      IF (M.GE.176) GO TO 50
      DO 30 K=1,MM1
        P = (XE+FLOAT(K))*P
   30 CONTINUE
   40 ALGA = ALGA + ALOG(P)
      RETURN
   50 ALGA = ALGA + ALOG(XE)
      DO 60 K=1,MM1
        ALGA = ALGA + ALOG(XE+FLOAT(K))
   60 CONTINUE
      RETURN
      END
