      SUBROUTINE FLAT(Rmap, Mxrow, Nrow, Ncol, Resp, Rdmin, Rdmax)
      INTEGER   Mxrow, Nrow, Ncol
      REAL      Rmap(Mxrow, *), Resp(Mxrow, *)
      REAL      Rdmin, Rdmax
C---
C Divide by Flat field (exposure map) to create corrected data.
C---
C 1993-Sep-07 - Isolated from LEXTRCT main routine [AFT]
C---
C Machine min and max
      REAL      SYSMIN, SYSMAX
      PARAMETER (SYSMIN=-1.E32,SYSMAX=1.E32)
C No data flag
      REAL      NO
      PARAMETER (NO=-1.2E-34)
C
      REAL      rtmp
      INTEGER   i, j
C
      rdmax = SYSMIN
      rdmin = SYSMAX
      DO i = 1, Ncol
         DO j = 1, Nrow
            IF ( Rmap(j,i).NE.NO ) THEN
               IF ( Resp(j,i).NE.0. .AND. Resp(j,i).NE.NO ) THEN
                  rtmp = Rmap(j,i)/Resp(j,i)
                  Rmap(j,i) = rtmp
                  rdmax = MAX(rdmax, Rmap(j,i))
                  rdmin = MIN(rdmax, Rmap(j,i))
               ELSE
                  Rmap(j,i) = NO
               END IF
            END IF
         END DO
      END DO
C---
      RETURN
      END
