      SUBROUTINE grnew()
C Entry GRDAT
      REAL      angle1, wids1, widib1, widob1, ppc1
C---
C The Grating object.  Get the angle and width of the dispersed spectrum.
C---
C 1997-11-25 - New routine - [AFT]
C---
      CHARACTER cprom*72, ctmp*32
      REAL      angle, ppc, widib, widob, wids
      SAVE      angle, ppc, widib, widob, wids
      INTEGER   ier, ltmp
      DATA  angle, wids, widib, widob/0.0, 16.0,24.0,48.0/
      DATA  ppc/1.0/
C
      CALL GTPEEK(ctmp,ltmp)
      IF ( ltmp.LE.0 ) THEN
         WRITE(cprom, 121) angle
  121    FORMAT('Angle (',F8.2,')?')
         CALL GTBUF(cprom, ier)
      END IF
      CALL GTREAL(angle, ier)
C
      CALL GTPEEK(ctmp,ltmp)
      IF ( ltmp.LE.0 ) THEN
         CALL PTBUF('Enter half widths for',-1)
         WRITE(cprom, 131) wids, widib, widob
  131    FORMAT('S_width (',F9.1,
     &      '), B_in (',F9.1,'), B_out (',F9.1,')?')
         CALL GTBUF(cprom, ier)
      END IF
      CALL GTREAL(wids, ier)
      CALL GTREAL(widib, ier)
      CALL GTREAL(widob, ier)
C
      CALL GTPEEK(ctmp,ltmp)
  150 CONTINUE
      IF ( ltmp.LE.0 ) THEN
         WRITE(cprom, 151) ppc
  151    FORMAT('Pixels per channel (',F10.1,')?')
         CALL GTBUF(cprom, ier)
      END IF
      CALL GTREAL(ppc, ier)
      IF ( ppc.LE.0.0 ) THEN
         CALL PTBUF(
     &    'grate--Pixels per channel must be greater than 0.0',-1)
         ltmp=0
         GOTO 150
      END IF
C
      RETURN
C
      ENTRY grdat(angle1, wids1, widib1, widob1, ppc1)
      angle1 = angle
      wids1 = wids
      widib1 = widib
      widob1 = widob
      ppc1 = ppc
      RETURN
      END
