      SUBROUTINE GTCURS(Qend)
      LOGICAL   Qend
C---
C LEXTRCT routine to read a position using the cursor.
C---
C Input:
C
C Output:
C  QEND           User abandoned cursor read
C
C Global:
C  Xdet, Ydet     position in detector coords
C---
C original version  tam
C modified  kaa  12/10/85
C---
      INCLUDE 'posdef.inc'
C
      CHARACTER chr*1
      DOUBLE PRECISION ddec, dra
      REAL      px, py
C
C Initialize end flag
C
      Qend = .FALSE.
C
C Set up cursor initial position
C
      px = Xdet
      py = Ydet
C
C Turn on cursor
C
      chr = 'R'
      WRITE (*,111)
 111  FORMAT (' Type R to read current position,'/
     &        ' type X to abandon cursor'/,
     &        ' anything else to read and exit.')
 120  CONTINUE
C
         CALL PGCURSE(px,py,chr)
         CALL UPC(chr)
         IF ( chr.EQ.CHAR(88) ) THEN
            Qend = .TRUE.
            GOTO 999
         END IF
C         CALL POS_ON_MAP(px, py)
         Xdet = px
         Ydet = py
C
         IF ( Iwcs.NE.0 ) THEN
C If transformation matrix is defined then set RA and DEC
            CALL POS_DT_RA(Xdet, Ydet, dra, ddec)
         END IF
C
      IF ( Chr.EQ.'R' ) GOTO 120
 999  CONTINUE
      END
