C ****************************************************************************
C  LEXTRCT include file describing the map data.
C
      INTEGER   MXMAP
      PARAMETER (MXMAP=4096)
C
      INTEGER   Mxrow, Mxcol, Nrow, Ncol
      REAL      Rdat(MXMAP*MXMAP,5)
      REAL      Rmap(MXMAP*MXMAP)
      REAL      Back(MXMAP*MXMAP)
      REAL      Resp(MXMAP*MXMAP)
      REAL      Rbsub(MXMAP*MXMAP)
      EQUIVALENCE (Rmap,Rdat(1,1)), (Back, Rdat(1,2))
      EQUIVALENCE (Resp,Rdat(1,3)), (Rbsub,Rdat(1,4))
C Number of valid characters in source, background and response file
C names.  Note, set equal to zero if file is invalid.
      INTEGER   Ldata, Lback, Lresp
C Has background been subtracted?
      INTEGER   Ibsub
C Has a flat field correction been applied?
      INTEGER   Iflat
C These are the names of the source, background and response files.
      CHARACTER Cdata*256, Cback*256, Cresp*256
C Integration time for files.
      REAL      Tdata, Tback, Tresp, Tdisp
C
      COMMON /MAPCOM/ Rmap, Back, Resp, Rbsub,
     &      Mxrow, Mxcol, Nrow, Ncol, Ldata, Tdata,
     &      Lback, Tback,
     &      Lresp, Tresp, Iflat,
     &      Ibsub, Tdisp
      COMMON /MAPNAM/ Cdata, Cback, Cresp
C
C ***************************************************************************
