      SUBROUTINE PLSCAL(Qnew)
      LOGICAL Qnew
C---
C If the user has selected a graphics device, but negelcted to display
C an image (indicated by Qnew=.TRUE.) then this routine will clear
C the screen, set a default viewport and window, and draw a PGPLOT
C box.  This allows the user to use with the graphics device without
C wasting time displaying an image.
C---
C  Qnew    I/O
C---
C 1992-May-07 - [AFT]
C---
      INCLUDE 'posdef.inc'
C
      REAL      xmin, xmax, ymin, ymax
C
      IF ( Qnew ) THEN
         CALL BOUQOB(xmin, ymin, xmax, ymax)
         xmin = xmin - Ifac/2.
         ymin = ymin - Ifac/2.
         xmax = xmax + Ifac/2.
         ymax = ymax + Ifac/2.
C
         CALL PGADVANCE
         CALL PGSVP(0.1,0.9,0.1,0.9)
         CALL PGWNAD(xmin,xmax,ymin,ymax)
         CALL PGBOX('BCNST',0.,0,'BCNST',0.,0)
      END IF
C
      Qnew = .FALSE.
      RETURN
      END
