      SUBROUTINE PRCODE(Codes,Cmess,N,Qmap,Qbound,Ievent,Iwcs)
      INTEGER   N, Ievent, Iwcs
      CHARACTER Codes(N)*20
      CHARACTER Cmess(N)*(*)
      LOGICAL   Qmap, Qbound
C---
C LEXTRCT routine to print list of valid action codes
C---
C codes   I    action codes
C Cmess   I    action code explanations
C n       I    number of action codes
C Qmap    I    map defined
C Qbound  I    box defined
C Ievent  I    >0 if file contains event data.
C Iwcs    I    tracker matrix defined
C---
C original version  tam
C modified   kaa  15/10/85
C---
      LOGICAL   QVALID
C
      CHARACTER*20 copr(2)
      CHARACTER*30 expr(2)
      INTEGER   length(2)
      INTEGER   npr, i
C---
      CALL PTBUF('     Valid action codes : ',-1)
      CALL PTBUF(' ',-1)
C
      npr = 0
      DO i = 1, N
         IF ( QVALID(Codes(i),Qmap,Qbound,Ievent,Iwcs) ) THEN
            npr = npr + 1
            copr(npr) = Codes(i)
            expr(npr) = Cmess(i)
            length(npr) = LEN(Cmess(i))
         END IF
         IF ( npr.EQ.2 ) THEN
            npr = 0
            WRITE (*,151) copr(1)(1:6), expr(1)(1:length(1)),
     &                    copr(2)(1:6), expr(2)(1:length(2))
 151        FORMAT (5X,A,':',2X,A,5X,A,':',2X,A)
         END IF
      END DO
C
C Trap case of one command left over and not printed
C
      IF ( npr.EQ.1 ) THEN
         WRITE (*,151) copr(1)(1:6), expr(1)(1:length(1))
      END IF
C
      CALL PTBUF(' ',-1)
      RETURN
      END
