      SUBROUTINE SETSHO(Iset)
      INTEGER   Iset
C Entry SSGADJ
      INTEGER   Iadj1
C Entry SSBCOL
      INTEGER   Iwhite1
C Entry SSGFE
      CHARACTER Cext1*(*)
C Entry SSGCLW
      INTEGER   Ici1, Ilw1
C Entry SSGTCB
      INTEGER   Icbar1
C Entry SSGTDI
      CHARACTER Cct1*(*), cdisp1*(*)
      INTEGER   lct1, ldisp1
C ENTRY GTACIS
      INTEGER   islev
C---
C Executes the LEXTRCT Set/Show parameters.
C---
C Iset    I    =0 to show parameters, =1 to set parameters
C---
C 1992-Apr-10 - New routine [AFT].
C---
      REAL      NO
      PARAMETER (NO=-1.2E-34)
      INTEGER   MXTYPE
      PARAMETER (MXTYPE=7)
      INTEGER   LENACT
      INCLUDE 'mapdef.inc'
      INCLUDE 'posdef.inc'
C
      CHARACTER cfile*256
      CHARACTER cctnam*128, cdisp*32
      SAVE      cctnam,     cdisp
      CHARACTER cbuf*132
      CHARACTER cpar*80
      CHARACTER ctmp*16, cext*32
      CHARACTER ctype(MXTYPE)*8
      SAVE      ctype,            cext
      REAL      pars(10)
      REAL      rtmp1, rtmp2
      INTEGER   iadj, icbar, ici, ilw, islevel, iwhite
      SAVE      iadj, icbar, ici, ilw, islevel, iwhite
      INTEGER   lctnam, ldisp
      SAVE      lctnam, ldisp
      INTEGER   ier, imatch, ishowa, itmp1, itmp2
      INTEGER   k, lfile, lbuf, lpar, ltmp, npar
      LOGICAL   qdogti
      DATA cctnam/'-1'/, lctnam/2/
      DATA cdisp /'Sqrt'/, ldisp/6/
      DATA cext /'EVENTS'/
      DATA ctype/'Ccd','Disp','Fits','Map','Psf','Time','Wcs'/
      DATA iadj/1/
      DATA islevel/13/
      DATA icbar/1/
      DATA ici,ilw/1,1/
      DATA iwhite/1/
C
   11 FORMAT(A)
C
C See if we need to do a show all command.
      ishowa = -1
      IF ( Iset.EQ.0 ) THEN
         CALL GTPEEK(ctmp, ltmp)
         IF ( ltmp.EQ.0 ) ishowa = 0
      END IF
C
C Main loop
  50  CONTINUE
      IF ( ishowa.GE.0 ) THEN
         ishowa = ishowa + 1
         IF ( ishowa.GT.MXTYPE ) RETURN
         WRITE(*,*) '!*** ',ctype(ishowa)
         GOTO (100,200,300,400,500,600,700) ishowa
      END IF
C
      CALL GTCHAR(cpar,lpar)
      IF ( lpar.LE.0 ) RETURN
C
      CALL CMATCH(ctype,MXTYPE,cpar,lpar,imatch)
      IF ( imatch.EQ.0 ) RETURN
      IF ( imatch.LT.0 ) THEN
         WRITE(*,*) cpar(:lpar), '--is not a valid option.'
         GOTO 50
      END IF
      GOTO(100,200,300,400,500,600,700) imatch
      GOTO 50
C---
C CCD commands
  100 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTPEEK(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'S' ) THEN
            WRITE(*,111) islevel
  111       FORMAT(' Ccd     Slevel   ',I6)
            CALL PTBUF(' ',-1)
            GOTO 50
         END IF
      END IF
      CALL GTCHAR(cpar,lpar)
      CALL UPC(cpar)
      IF ( cpar(1:1).EQ.'S' ) THEN
         CALL GTINT(islevel, ier)
      END IF
      GOTO 50
C---
C Display commands
  200 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'AD') THEN
            IF ( iadj.GT.0 ) THEN
               WRITE(*,221) 'Disp    ADjust  ON'
            ELSE
               WRITE(*,221) 'Disp    ADjust  OFF'
            END IF
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'B') THEN
            IF ( iwhite.GT.0 ) THEN
               WRITE(*,221) 'Disp    Back    White'
            ELSE IF ( iwhite.LT.0 ) THEN
               WRITE(*,221) 'Disp    Back    Black'
            ELSE
               WRITE(*,221) 'Disp    Back    Default'
            END IF
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'CB') THEN
            IF ( icbar.GT.0 ) THEN
               WRITE(*,221) 'Disp    CBar    ON'
  221          FORMAT(1X,A,I5)
            ELSE
               WRITE(*,221) 'Disp    CBar    OFF'
            END IF
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'CC') THEN
            WRITE(*,11) ' Disp    CCT     '//cctnam(:lctnam)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'CI') THEN
            WRITE(*,231) 'Disp    CI   ',ici
  231       FORMAT(1X,A,I5)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'LW') THEN
            WRITE(*,231) 'Disp    LW   ',ilw
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'S') THEN
            WRITE(*,211) Cdisp
  211       FORMAT(' Disp    Scale   ',A)
         END IF
         CALL PTBUF(' ',-1)
         GOTO 50
      END IF
      CALL GTCHAR(cpar,lpar)
      CALL UPC(cpar)
      IF ( cpar(1:2).EQ.'AD' )  THEN
         CALL GTCHAR(cpar,lpar)
         CALL UPC(cpar)
         IF ( cpar(1:2).EQ.'OF' ) THEN
            iadj = 0
         ELSE
            iadj = 1
         END IF
      ELSE IF ( cpar(1:1).EQ.'B' )  THEN
         CALL GTCHAR(cpar,lpar)
         CALL UPC(cpar)
         IF ( cpar(1:1).EQ.'B' ) THEN
            iwhite = -1
         ELSE IF ( cpar(1:1).EQ.'D' ) THEN
            iwhite = 0
         ELSE IF ( cpar(1:1).EQ.'W' ) THEN
            iwhite = 1
         ELSE IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'?' ) THEN
            CALL PTBUF('Legal options are White, Default',-1)
         END IF
      ELSE IF ( cpar(1:2).EQ.'CB' )  THEN
         CALL GTCHAR(cpar,lpar)
         CALL UPC(cpar)
         IF ( cpar(1:2).EQ.'OF' ) THEN
            icbar = 0
         ELSE
            icbar = 1
         END IF
      ELSE IF ( cpar(1:2).EQ.'CC' ) THEN
         CALL GTCHAR(ctmp,ltmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'?' ) THEN
            CALL PLTCCT('?',1)
            RETURN
         END IF
         IF ( ltmp.GT.0 ) THEN
            cctnam = ctmp
            lctnam = ltmp
         END IF
      ELSE IF ( cpar(1:2).EQ.'CI' ) THEN
         itmp1 = ici
         CALL GTINT(itmp1, ier)
         IF (ici.NE.itmp1 .AND. 0.LE.ici .AND. ici.LE.15 ) THEN
            ici=itmp1
         END IF
      ELSE IF ( cpar(1:2).EQ.'LW' )  THEN
         itmp1 = ilw
         CALL GTINT(itmp1, ier)
         IF (ilw.NE.itmp1 .AND. 0.LT.ilw .AND. ilw.LE.10 ) THEN
            ilw=itmp1
         END IF
      ELSE IF ( cpar(1:1).EQ.'S' )  THEN
         CALL GTCHAR(cpar,lpar)
         CALL UPC(cpar)
         IF ( cpar(1:2).EQ.'LI') THEN
            Cdisp = 'Linear'
         ELSE IF ( cpar(1:2).EQ.'LO') THEN
            Cdisp = 'Log'
         ELSE IF ( cpar(1:2).EQ.'SQ') THEN
            Cdisp = 'Sqrt'
         ELSE IF ( cpar(1:2).EQ.'HI') THEN
            Cdisp = 'Histo'
         ELSE
            CALL PTBUF(
     &       'Legal options are HIstogram, LInear, LOg, SQrt.',-1)
         END IF
      ELSE
         CALL PTBUF(
     &    'Legal options are CBar, CCt, CIndex, LWidth, Scale.',-1)
         RETURN
      END IF
      GOTO 50
C---
C Fits commands
  300 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'E' ) THEN
            WRITE(*,311) cext
  311       FORMAT(' Fits    Extens  ',A)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'G') THEN
            CALL GTIQDO(qdogti)
            IF ( qdogti ) THEN
               WRITE(*,221) 'Fits    Gti     ON'
            ELSE
               WRITE(*,221) 'Fits    Gti     OFF'
            END IF
         END IF
         CALL PTBUF(' ',-1)
         GOTO 50
      END IF
      CALL GTCHAR(cpar,lpar)
      CALL UPC(cpar)
      IF ( cpar(1:1).EQ.'E' ) THEN
         CALL GTCHAR(cext, ltmp)
      ELSE IF ( cpar(1:1).EQ.'G' )  THEN
         CALL GTCHAR(cpar,lpar)
         CALL UPC(cpar)
         IF ( cpar(1:2).EQ.'OF' ) THEN
            qdogti = .FALSE.
         ELSE
            qdogti = .TRUE.
         END IF
         CALL GTISDO(qdogti)
      END IF
      GOTO 50
C---
C Map commands
  400 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'S' ) THEN
            WRITE(*,411) Mxrow,Mxcol
  411       FORMAT(' Map     Size  ',I5,I5)
         END IF
         CALL PTBUF(' ',-1)
         GOTO 50
      ELSE
         CALL GTCHAR(cpar,lpar)
         IF ( lpar.LE.0 ) GOTO 50
         CALL UPC(cpar(1:1))
         IF ( cpar(1:1).EQ.'S' ) THEN
            itmp1 = Mxrow
            itmp2 = Mxcol
            CALL GTINT(itmp1, ier)
            CALL GTINT(itmp2, ier)
            IF ( itmp1.LE.0 .OR. itmp2.LE.0 ) THEN
               CALL PTBUF('Map Size be greater than zero.',-1)
               RETURN
            END IF
            IF ( itmp1*itmp2.GT.MXMAP*MXMAP ) THEN
               WRITE(*,*) 'Map must contain fewer than',
     :            MXMAP*MXMAP,' pixels.'
               RETURN
            END IF
            Mxrow = itmp1
            Mxcol = itmp2
         END IF
      END IF
      GOTO 50
C---
C PSF commands
  500 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'C') THEN
            cbuf = ctype(5)//'Cent'
            lbuf = 16
            CALL GTFWCN(rtmp1, rtmp2)
            CALL CRAMF(rtmp1,cbuf,lbuf)
            lbuf = lbuf + 1
            CALL CRAMF(rtmp2,cbuf,lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'F') THEN
            cbuf = ctype(5)//'File'
            lbuf = 16
            CALL PSGFIL(cfile, lfile)
            cbuf(lbuf+1:) = cfile(:lfile)
            CALL PTBUF(cbuf,-1)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'R') THEN
            cbuf = ctype(5)//'Roll'
            lbuf = 16
            CALL PSGROL(rtmp1)
            CALL CRAMFF(rtmp1,5,3,cbuf,lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'S') THEN
            cbuf = ctype(5)//'Sig'
            lbuf = 16
            CALL GTFWAT(rtmp1)
            CALL CRAMFF(rtmp1,5,3,cbuf,lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'Q') THEN
            cbuf = ctype(5)//'Quad'
            lbuf = 16
            CALL GTFWQU(rtmp1)
            CALL CRAMFF(rtmp1,5,-4,cbuf,lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'M') THEN
            CALL PSQMOC(ctmp)
            cbuf = ctype(5)//'Model   '//ctmp
            lbuf = 25
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:1).EQ.'P') THEN
            CALL PSQPAR(npar,pars)
            IF ( npar.GT.0 ) THEN
               WRITE(cbuf, 521) ctype(5),(pars(k),k=1,npar)
  521          FORMAT(A,'Parms',6F10.2)
               lbuf = LENACT(cbuf)
               CALL PTBUF(cbuf,lbuf)
            ENDIF
         END IF
         CALL PTBUF(' ',-1)
         GOTO 50
      END IF
      CALL GTCHAR(cpar,lpar)
      IF ( lpar.LE.0 ) RETURN
      CALL UPC(cpar)
      IF ( cpar(1:1).EQ.'C' ) THEN
         CALL GTFWCN(rtmp1, rtmp2)
         CALL GTREAL(rtmp1,ier)
         CALL GTREAL(rtmp2,ier)
         CALL STFWCN(rtmp1, rtmp2)
      ELSE IF ( cpar(1:1).EQ.'F' ) THEN
         CALL GTCHAR(cfile, lfile)
         CALL PSSFIL(cfile, lfile)
      ELSE IF ( cpar(1:1).EQ.'R' ) THEN
         CALL PSGROL(rtmp1)
         CALL GTREAL(rtmp1,ier)
         CALL PSSROL(rtmp1)
      ELSE IF ( cpar(1:1).EQ.'Q' ) THEN
         CALL GTFWQU(rtmp1)
         CALL GTREAL(rtmp1,ier)
         CALL STFWQU(rtmp1)
      ELSE IF ( cpar(1:1).EQ.'M' ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL PSSMOC(ctmp)
      ELSE IF ( cpar(1:1).EQ.'S' ) THEN
C Get previous value
         CALL GTFWAT(rtmp1)
C Read user input
         CALL GTCHAR(ctmp, ltmp)
         CALL RGGTDI(ctmp, ltmp, rtmp1, ier)
         IF ( rtmp1.GT.0. ) CALL STFWAT(rtmp1)
      ELSE IF ( cpar(1:1).EQ.'P' ) THEN
         CALL GTREST(ctmp, ltmp)
         CALL PSSPAR(ctmp, ltmp)
      ELSE
         WRITE (*,*) 'Bad parameter name=', cpar(:lpar),
     &               ' ignoring rest of line.'
         RETURN
      END IF
      GOTO 50
C---
C Time
  600 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         WRITE(cbuf,*) 'Data  ',Tdata
         CALL PTBUF(cbuf, -1)
         WRITE(cbuf,*) 'Back  ',Tback
         CALL PTBUF(cbuf, -1)
         WRITE(cbuf,*) 'Resp  ',Tresp
         CALL PTBUF(cbuf, -1)
         CALL PTBUF(' ', -1)
         GOTO 50
      END IF
      CALL GTPEEK(cpar,lpar)
      IF ( lpar.GT.0 ) THEN
         CALL UPC(cpar(1:1))
         IF ( cpar(1:1).EQ.'B' .OR. cpar(1:1).EQ.'D' .OR.
     :        cpar(1:1).EQ.'R' ) THEN
            CALL GTCHAR(cpar, lpar)
            CALL UPC(cpar(1:1))
         ELSE
            CALL PTBUF('Legal options are Data, Back, Resp.',-1)
            RETURN
         END IF
      END IF
      IF ( cpar(1:1).EQ.'B' ) THEN
         CALL GTREAL(Tback, ier)
C Invalidate background subtraction.
         Ibsub = 0
      ELSE IF ( cpar(1:1).EQ.'D') THEN
         CALL GTREAL(TData, ier)
         Ibsub = 0
      ELSE
         CALL GTREAL(Tresp, ier)
      END IF
      GOTO 50
C---
C WCS
C dxpix0, dypix0, dxref, dyref, dxdel, dydel, drota
  700 CONTINUE
      IF ( Iset.EQ.0 ) THEN
         CALL GTCHAR(ctmp, ltmp)
         CALL UPC(ctmp)
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'TY') THEN
            cbuf = 'WCS   TYpe   '//ctype1
            lbuf = LENACT(cbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( Imat.EQ.0 ) THEN
            IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'RO') THEN
               WRITE(*,711) 'ROta',Drota
  711          FORMAT(' WCS   ',1A,'  ',F8.3)
            END IF
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'XP') THEN
            cbuf = 'WCS   XPix0'
            lbuf = 16
            rtmp1 = Dxpix0
            CALL CRAMFF(rtmp1, 7, 2, cbuf, lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'XR') THEN
            WRITE(*,721) 'X',Dxref
  721       FORMAT(' WCS   ',1A,'Ref   ',F11.6)
         END IF
         IF ( Imat.EQ.0 ) THEN
            IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'XD') THEN
               cbuf = 'WCS   XDel'
               lbuf = 16
               rtmp1 = Dxdel
               CALL CRAMFF(rtmp1, 11, -5, cbuf, lbuf)
C
               IF ( rtmp1.NE.NO ) THEN
                  cbuf(lbuf+1:lbuf+2)=' ('
                  lbuf = lbuf+2
                  rtmp1 = rtmp1*3600
                  CALL CRAMFF(rtmp1, 5, -4, cbuf, lbuf)
                  cbuf(lbuf+1:lbuf+8)=' arcsec)'
                  lbuf = lbuf+8
               END IF
C
               CALL PTBUF(cbuf,lbuf)
            END IF
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'YP') THEN
            cbuf = 'WCS   YPix0'
            lbuf = 16
            rtmp1 = Dypix0
            CALL CRAMFF(rtmp1, 7, 2, cbuf, lbuf)
            CALL PTBUF(cbuf,lbuf)
         END IF
         IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'YR') THEN
            WRITE(*,721) 'Y',Dyref
         END IF
         IF ( Imat.EQ.0 ) THEN
            IF ( ltmp.LE.0 .OR. ctmp(1:2).EQ.'YD') THEN
               cbuf = 'WCS   YDel'
               lbuf = 16
               rtmp1 = Dydel
               CALL CRAMFF(rtmp1, 11, -5, cbuf, lbuf)
C
               IF ( rtmp1.NE.NO ) THEN
                  cbuf(lbuf+1:lbuf+2)=' ('
                  lbuf = lbuf+2
                  rtmp1 = rtmp1*3600
                  CALL CRAMFF(rtmp1, 5, -4, cbuf, lbuf)
                  cbuf(lbuf+1:lbuf+8)=' arcsec)'
                  lbuf = lbuf+8
               END IF
C
               CALL PTBUF(cbuf,lbuf)
            END IF
         END IF
         IF ( Imat.NE.0 ) THEN
            IF ( ltmp.LE.0 .OR. ctmp(1:5).EQ.'CD1_1') THEN
               cbuf = 'WCS   CD1_1'
               lbuf = 16
               rtmp1 = dcd11
               CALL CRAMFF(rtmp1, 11, -6, cbuf, lbuf)
               CALL PTBUF(cbuf,lbuf)
            END IF
            IF ( ltmp.LE.0 .OR. ctmp(1:5).EQ.'CD1_2') THEN
               cbuf = 'WCS   CD1_2'
               lbuf = 16
               rtmp1 = dcd12
               CALL CRAMFF(rtmp1, 11, -6, cbuf, lbuf)
               CALL PTBUF(cbuf,lbuf)
            END IF
            IF ( ltmp.LE.0 .OR. ctmp(1:5).EQ.'CD2_1') THEN
               cbuf = 'WCS   CD2_1'
               lbuf = 16
               rtmp1 = dcd21
               CALL CRAMFF(rtmp1, 11, -6, cbuf, lbuf)
               CALL PTBUF(cbuf,lbuf)
            END IF
            IF ( ltmp.LE.0 .OR. ctmp(1:5).EQ.'CD2_2') THEN
               cbuf = 'WCS   CD2_2'
               lbuf = 16
               rtmp1 = dcd22
               CALL CRAMFF(rtmp1, 11, -6, cbuf, lbuf)
               CALL PTBUF(cbuf,lbuf)
            END IF
         END IF
         CALL PTBUF(' ',-1)
         GOTO 50
      END IF
      CALL GTCHAR(cpar,lpar)
      CALL UPC(cpar)
      IF ( cpar(1:2).EQ.'TY' )  THEN
         CALL GTCHAR(Ctype1, itmp1)
         CALL UPC(Ctype1)
      ELSE IF ( Imat.EQ.0 .AND. cpar(1:2).EQ.'RO' )  THEN
         CALL GTDBLE(Drota, ier)
      ELSE IF ( cpar(1:2).EQ.'XP' ) THEN
         CALL GTDBLE(Dxpix0, ier)
      ELSE IF ( cpar(1:2).EQ.'XR' ) THEN
         CALL GTDBLE(Dxref, ier)
      ELSE IF ( Imat.EQ.0 .AND. cpar(1:2).EQ.'XD' ) THEN
         CALL GTDBLE(Dxdel, ier)
      ELSE IF ( cpar(1:2).EQ.'YP' ) THEN
         CALL GTDBLE(Dypix0, ier)
      ELSE IF ( cpar(1:2).EQ.'YR' ) THEN
         CALL GTDBLE(Dyref, ier)
      ELSE IF ( Imat.EQ.0 .AND. cpar(1:2).EQ.'YD' ) THEN
         CALL GTDBLE(Dydel, ier)
      ELSE IF ( Imat.NE.0 .AND. cpar(1:5).EQ.'CD1_1' )  THEN
         CALL GTDBLE(dcd11, ier)
      ELSE IF ( Imat.NE.0 .AND. cpar(1:5).EQ.'CD1_2' )  THEN
         CALL GTDBLE(dcd12, ier)
      ELSE IF ( Imat.NE.0 .AND. cpar(1:5).EQ.'CD2_1' )  THEN
         CALL GTDBLE(dcd21, ier)
      ELSE IF ( Imat.NE.0 .AND. cpar(1:5).EQ.'CD2_2' )  THEN
         CALL GTDBLE(dcd22, ier)
      ELSE
         IF ( Imat.NE.0 ) THEN
            CALL PTBUF('Legal options are CD1_1, CD1_2, CD2_1, CD2_2,'//
     &         ' XPix0, XRef, YPix0, YRef.',-1)
         ELSE
            CALL PTBUF('Legal options are ROta, XPix0, XRef, XDel, '//
     &              'YPix0, YRef, Ydel.',-1)
         END IF
      END IF
      IF ( Dxpix0.NE.NO .AND. Dxref.NE.NO .AND. Dxdel.NE.NO .AND.
     &     Dypix0.NE.NO .AND. Dyref.NE.NO .AND. Dydel.NE.NO .AND.
     &     Drota.NE.NO ) THEN
         Iwcs = 1
      ELSE
         Iwcs = 0
      END IF
      GOTO 50
C*********
      ENTRY SSGADJ(iadj1)
      iadj1 = iadj
      RETURN
C*********
      ENTRY SSBCOL(iwhite1)
      iwhite1 = iwhite
      RETURN
C*********
      ENTRY SSGFE(cext1)
      cext1 = cext
      RETURN
C*********
      ENTRY SSGCLW(Ici1, Ilw1)
      Ici1=ici
      Ilw1=ilw
      RETURN
C*********
      ENTRY SSGTCB(icbar1)
      icbar1 = icbar
      RETURN
C*********
      ENTRY SSGTDI(cct1, lct1, cdisp1, ldisp1)
      cct1 = cctnam
      lct1 = lctnam
      cdisp1 = cdisp
      ldisp1 = ldisp
      RETURN
C*********
      ENTRY SSPFE(cext1)
      cext = cext1
      RETURN
C*********
      ENTRY GTACIS(islev)
      islev = islevel
      RETURN
C
      END
