      FUNCTION TDAVG(A, Nsize, X, Y)
      REAL    TDAVG
      INTEGER Nsize
      REAL    A(Nsize, Nsize)
      REAL    X, Y
C---
C LEXTRCT routine interpolate on a 2-D grid.
C---
C Input:
C  a              array to be interpolated
C  Nsize          size of array
C  x, y           interpolation position
C---
C original version   tam
C modified  kaa  15/10/85
C---
      INTEGER i0, j0
      REAL*4 xdel, ydel, av0, av1
C
C If point is outside grid reset as outer point
C
      i0 = X
      IF ( i0.LT.1 ) i0 = 1
      IF ( i0.GE.Nsize ) i0 = Nsize-1
      j0 = Y
      IF ( j0.LT.1 ) j0 = 1
      IF ( j0.GE.Nsize ) j0 = Nsize-1
C
C Do 2-D linear interpolation
C
      xdel = X - i0
C
      av0 = (1-xdel)*A(i0,j0) + xdel*A(i0+1,j0)
      av1 = (1-xdel)*A(i0,j0+1) + xdel*A(i0+1,j0+1)
C
      ydel = Y - j0
      TDAVG = av0 + ydel*(av1-av0)
C
      END
