#!/bin/sh
# Takes csh script and converts it Bourne shell.

FILE=$1

if [ -f new ]; then
      rm new
fi

sed \
    -e "s@setenv	@setenv @" \
    -e "s@setenv [_A-Z]*@& =@" \
    -e "s@setenv @@" \
    -e "s@set @@" \
    -e "s@ = @=@" \
    -e "s@ ( @ test @" \
    -e "s@ ) @ \; @" \
    -e "s@ == @ = @g" \
    -e "s@ || @ -o @g" \
    -e "s@else if@elif   @" \
    -e "s@endif@fi@" \
    -e "s@ csh/tcsh @ sh/bash/ksh @" \
    -e "s@csh@sh@" \
    -e "s@source@.@" \
    $FILE  > new
