      REAL FUNCTION FINTRP(X, A, B, N)
      INTEGER   N
      REAL      X, A(N), B(N)
C---
C Do linear interpolation.  Note that the table is assumed to be
C ordered.
C---
C X..........Abscissa at which value is desired.
C A..........Table of values of abscissae.
C B..........Table of values of ordinates.
C N..........Size of tables.
C FINTRP.....Interpolated value.
C---
C 1992-Oct-16 - Table can either increase or decrease in order [AFT]
C---
      INTEGER   I, IM
C
      IF ( A(2).GT.A(1) ) THEN
C Abscissa increasing
         DO 110 I=2, N
            IF( A(I).GT.X ) GOTO 150
 110     CONTINUE
      ELSE
C Abscissa decreasing
         DO 130 I=2, N
            IF( A(I).LT.X ) GOTO 150
 130     CONTINUE
      END IF
C
      I = N
 150  CONTINUE
C
      IM= I-1
      FINTRP= B(IM) + (X-A(IM)) / (A(I)-A(IM)) * (B(I)-B(IM))
      IF( FINTRP.LT.0. ) FINTRP= 0.
C
      END
