#!/bin/sh
# remake xanlib library.  Make sure alib is in your current path!

if [ ! -d $XANSYS ]; then
      mkdir $XANSYS
fi
if [ ! -d $XANSYS/lib ]; then
      mkdir $XANSYS/lib
fi
if [ ! -d $XANSYS/bin ]; then
      mkdir $XANSYS/bin
fi

cd sysdep
alib sys
alib lun
alib iconv
alib xsquez

cd ../termio
alib alf
alib cio
alib cget
alib edicom
alib gtbuf
alib lenact
alib logger
alib ptbuf
alib qline
alib script
alib sysio
alib ttwrt
alib xtend
alib xwrcmd

cd ../plt
forall
liball

cd ../ufny
alib ufnydemo

if [ -d ../cam ] ; then
      cd ../cam
      forall
      liball
fi

if [ -d ../msfc ] ; then
      cd ../msfc
      forall
      liball
fi

if [ -d ../surf ] ; then
      cd ../surf
      forall
      liball
fi

if [ -d ../tim ] ; then
      cd ../tim
      forall
      liball
fi

if [ -d ../xhelp ] ; then
      cd ../xhelp
      forall
      liball
fi

if [ -d ../sla ] ; then
      cd ../sla
      forall
      liball $XANSYS/lib/libsla.a
fi

cd $XANSYS/lib
if [ ! -f libpgplot.a -a -f $HEADAS/lib/libpgplot5*.a ] ; then
   echo Creating softlinks to PGPLOT library in HEASOFT
   ln -s $HEADAS/lib/libpgplot5*.a    ./libpgplot.a
   ln -s $HEADAS/lib/grfont.dat      ./grfont.dat
   ln -s $HEADAS/lib/rgb.txt         ./rgb.txt
   ln -s $HEADAS/bin/pgxwin_server   ./pgxwin_server
fi

if [ ! -f libcfitsio* ] ; then
   if [ -f $HEADAS/lib/libcfitsio.so ] ; then
      echo Creating softlinks to cfitsio library in HEASOFT
      ln -s $HEADAS/lib/libcfitsio.so    ./libcfitsio.so
   elif [ -f $HEADAS/lib/libcfitsio.dylib ] ; then
      echo Creating softlinks to cfitsio library in HEASOFT for MAC
      ln -s $HEADAS/lib/libcfitsio.dylib ./libcfitsio.dylib
   fi
fi
