      SUBROUTINE ftmsec(ctim, dsec)
      CHARACTER ctim*(*)
      DOUBLE PRECISION dsec
C---
C Converts a FITS time string into seconds after midnight.
C---
C cday    I    Time string read from FITS file
C dsec      O  Seconds after midnight
C---
C 1996-12-12 - [AFT]
C---
      REAL      FPNUM
      INTEGER   LENACT
C
      CHARACTER ctmp*40
      REAL      rsec
      INTEGER   i, icnt, ihr, ier, imin, ltim, ltmp
C---
      ltim = LENACT(ctim)
      ltmp = 0
      icnt = 0
      DO i=1,ltim
         IF ( ctim(i:i).EQ.':' ) THEN
            IF ( icnt.EQ.0 ) THEN
               ihr = FPNUM(ctmp, ltmp, ier)
            ELSE
               imin = FPNUM(ctmp, ltmp, ier)
            END IF
            icnt = icnt + 1
            ltmp = 0
         ELSE
            ltmp = ltmp + 1
            ctmp(ltmp:ltmp) = ctim(i:i)
         END IF
      END DO

      IF ( icnt.LE.0 ) THEN
         dsec = -1.0D0
      ELSE
         rsec = FPNUM(ctmp, ltmp, ier)
         dsec = ihr*3600 + imin*60 + rsec
      END IF

      END
