      SUBROUTINE PLTLH(X, Y, P)
      REAL      X, Y
      LOGICAL   P
C---
C [LEFT HALF]
C Scale the cartesian coordinates (X,Y) so as to position a graph
C in the left half of a plotter page.
C---
C 1974-Apr-20 - Instituto Nacional de Energia Nuclear
C---
      REAL      EX, WY
C
      REAL    XMIN, XRAN, YMIN, YRAN
      COMMON /P2DCMN/XMIN,XRAN,YMIN,YRAN
C---
      EX= XMIN + XRAN*(    X)/2.
      WY= YMIN + YRAN*(0.5+Y)/2.
      IF (P) THEN
         CALL PLOT(EX, WY, 2)
      ELSE
         CALL PLOT(EX, WY, 3)
      END IF
      RETURN
      END
