      SUBROUTINE VISPS(RMAP, MXROW, MXCOL, Z1, IX, Z2, R1, R2, NR,
     :      P1, P2, NP, L, M)
      INTEGER   MXROW, MXCOL, IX, NR, NP, L, M
      REAL      RMAP(MXROW,MXCOL), Z1, Z2, R1, R2, P1, P2
C---
C [POLAR SEQUENCE]
C L=1  western view,  L=-1  eastern view
C M=1  southern view, M=-1  northern view
C---
      EXTERNAL  PLTCA
C
      REAL      DP, DR, EL, EM, R, P, ZS
      INTEGER   I, I0, J, J0, K, K0, MK, MM, N
C
C Dimension of U,V should be 2*MIN(NR,NP)+1
      REAL      U, V
      COMMON /VIW/U(1026),V(1026)
C---
      MM=1
      MK=1026
      N=L*M
      EL=FLOAT(L)
      EM=FLOAT(M)
      ZS=0.667/(Z2-Z1)
      DP=(P2-P1)/FLOAT(NP-1)
      DR=(R2-R1)/FLOAT(NR-1)
      I0=(NP+1-M*(NP-3))/2
      J0=((NR+1)-L*(NR-1))/2
      K0=((MK+1)*(1-N))/2
C---
   10 K=K0
      I=MAX0(MIN0(I0,NP+1),0)
      J=J0
      P=P1+DP*FLOAT(I-1)
      R=R1+DR*FLOAT(J-1)
   20 IF(1.LE.I .AND. I.LE.NP) THEN
         K=MAX0(MIN0(K+N,MK),1)
         U(K)=0.5*(1.0+R*COS(P))
         V(K)=0.167+ZS*(RMAP(J,I+IX)-Z1)+.0167*R*SIN(P)
      END IF
      I=I-M
      P=P-EM*DP
      IF(1.LE.I .AND. I.LE.NP) THEN
         K=MAX0(MIN0(K+N,MK),1)
         U(K)=0.5*(1.0+R*COS(P))
         V(K)=0.167+ZS*(RMAP(J,I+IX)-Z1)+.0167*R*SIN(P)
         J=J+L
         R=R+EL*DR
         IF((J.LE.NR).AND.(J.GE.1)) GOTO 20
      END IF
      IF(N.GT.0) CALL VISHO(U,V,K,MM,PLTCA)
      IF(N.LT.0) CALL VISHO(U(K),V(K),MK-K+1,MM,PLTCA)
      MM=-MM
      I0=I0+M
      IF((I0.GE.0).AND.(I0.LE.NP+1)) GOTO 10
      J0=J0+L
      IF((J0.GE.1).AND.(J0.LE.NR)) GOTO 10
      RETURN
      END
