      SUBROUTINE VISTS(RMAP, MXROW, MXCOL, Z1, Z2, N)
      INTEGER   MXROW, MXCOL, N
      REAL      RMAP(MXROW,MXCOL), Z1, Z2
C---
C [TRANGULAR SEQUENCE]
C---
C RMAP    I    Array to be plotted.
C Z1,Z2   I    RANGE OF VALUES
C N       I    ACTUAL LENGTH OF COLUMN
C---
C 1974-Mar-23 - Instituto Nacional de Energia Nuclear
C---
      EXTERNAL  PLTCA
      REAL      AM
C
      REAL      U(501), V(501)
      REAL      DU, DV, EU, HU, VE, HZ, ZS
      INTEGER   I, J, K, L, MK
C
      DATA MK/501/
C
      AM(J,I)=ZS*(RMAP(J,I)-Z1)
C---
      HZ=0.35
      ZS=(2.0*HZ)/(Z2-Z1)
      DU=1.0/FLOAT(N-1)
      DV=0.3/FLOAT(N-1)
      HU=0.5*DU
      VE=0.0
      L=N-1
      DO 30 I=1,L
         K=0
         EU=HU*FLOAT(I-1)
         DO 10 J=I,N
            K=MIN0(K+1,MK)
            U(K)=EU
            V(K)=VE+AM(J,I)
            EU=EU+DU
   10    CONTINUE
         CALL VISHO(U,V,K,1,PLTCA)
         K=0
         EU=HU*FLOAT(I-1)
         DO 20 J=I,L
            K=MIN0(K+1,MK)
            U(K)=EU
            V(K)=VE+AM(J,I)
            K=MIN0(K+1,MK)
            U(K)=EU+HU
            V(K)=VE+DV+AM(J+1,I+1)
            EU=EU+DU
   20    CONTINUE
         K=MIN0(K+1,MK)
         U(K)=EU
         V(K)=VE+AM(N,I)
         CALL VISHO(U,V,K,-1,PLTCA)
         VE=VE+DV
   30 CONTINUE
      RETURN
      END
