      SUBROUTINE WI2MAP(I2map, Mxfb, Nx, Ny, Chead, Nhead, Ier)
      INTEGER   Mxfb, Nx, Ny, Nhead, Ier
      CHARACTER Chead(*)*80
      INTEGER*2 I2map(*)
C---
C Writes out a INTEGER*2 FITS image.
C---
C I2map   I    Integer map.
C Mxfb    I    First physical dimension of I2map.
C Nx      I    Number of rows in I2map in actual use.
C Ny      I    Number of columns in I2map in actual use.
C Chead   I    Array of 80 byte FITS header lines.
C Nhead   I    Number of valid lines in Chead.
C Ier       O  Error flag.
C---
      CALL WRMAP(2, I2map, Mxfb, Nx, Ny, Chead, Nhead, Ier)
      RETURN
      END
